Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class AbstractState

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState

All Implemented Interfaces:
  QState

Direct Known Subclasses:
  AbstractChatState, AbstractMenuState, AbstractPhaseState, ChangeUserNameState, DeleteUserNameState, GatewayState, GetUserInfoState, MainMenu, ObserveGame, PostMessage, ReadEmailState, SendEmailState, SendOLMState, TerminateDiskState

public abstract class AbstractState
extends java.lang.Object
implements QState

Field Summary
`protected QSession` | `_session`

Constructor Summary
`AbstractState(QSession session)`

Method Summary
`void` | `activate()`
`protected boolean` | `checkEmail()`
`boolean` | `execute(Action a)`
`java.lang.String` | `getName()`
`void` | `passivate()`
`void` | `terminate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _session

    protected QSession _session

Constructor Detail

### AbstractState

    public AbstractState(QSession session)

Method Detail

### activate

    public void activate()
                  throws java.io.IOException

  Specified by:
    `activate` in interface `QState`
    `java.io.IOException`

### passivate

    public void passivate()
                   throws java.io.IOException

  Specified by:
    `passivate` in interface `QState`
    `java.io.IOException`

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
    `java.io.IOException`

### checkEmail

    protected boolean checkEmail()

  Returns:

### terminate

    public void terminate()

  Specified by:
    `terminate` in interface `QState`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `QState`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD